#
Summary: This puts in a value of 1 5 10 for /proc/sys/vm/pagecache
Name: SL_tweek_pagecache
Version: 1.0
Release: 1
Copyright: GPL
Group: Fermi
URL: https://www.scientificlinux.org/
Vendor: Fermilab
Packager: Troy Dawson
BuildArchitectures: noarch
requires: initscripts
%description

For the RedHat kernel 2.4.21-9.EL and above, many people feel that the kernel
isn't very responsive on desktops.  This tweek changes the pagecache settings.
This has been shown to make the kernel seem much more responsive in a
desktop enviroment.

%files
%post
#
# This modifies /etc/sysctl.conf to tweek the pagecache
#
if [ -f /etc/sysctl.conf ] ; then
	if ! `grep -q SL_tweek_pagecache /etc/sysctl.conf` ; then
		#echo "We didn't find the first grep"
		echo "# lines added by SL_tweek_pagecache" >> /etc/sysctl.conf
	fi
	if ! `grep -q vm.pagecache /etc/sysctl.conf` ; then
		#echo "We didn't find the second grep"
		echo "vm.pagecache = 1 5 10" >> /etc/sysctl.conf
	else
		#echo "We found the second grep"
		cat /etc/sysctl.conf | sed 's:^[ 	]*#vm.pagecache = 1 5 10:vm.pagecache = 1 5 10:' > /etc/sysctl.conf.tmp
		mv /etc/sysctl.conf.tmp /etc/sysctl.conf
	fi	
fi


%postun
if [ "$1" = "0" ] ; then
	#
if [ -f /etc/sysctl.conf ] ; then
	if `grep -q vm.pagecache /etc/sysctl.conf` ; then
		cat /etc/sysctl.conf | sed 's:^[ 	]*vm.pagecache = 1 5 10:#vm.pagecache = 1 5 10:' > /etc/sysctl.conf.tmp
		mv /etc/sysctl.conf.tmp /etc/sysctl.conf
	fi	
fi
fi

%triggerin -- initscripts
if [ -f /etc/sysctl.conf ] ; then
	if ! `grep -q SL_tweek_pagecache /etc/sysctl.conf` ; then
		#echo "We didn't find the first grep"
		echo "# lines added by SL_tweek_pagecache" >> /etc/sysctl.conf
	fi
	if ! `grep -q vm.pagecache /etc/sysctl.conf` ; then
		#echo "We didn't find the second grep"
		echo "vm.pagecache = 1 5 10" >> /etc/sysctl.conf
	else
		#echo "We found the second grep"
		cat /etc/sysctl.conf | sed 's:^[ 	]*#vm.pagecache = 1 5 10:vm.pagecache = 1 5 10:' > /etc/sysctl.conf.tmp
		mv /etc/sysctl.conf.tmp /etc/sysctl.conf
	fi	
fi

%changelog
* Fri Sep 24 2004 Troy Dawson (dawson@fnal.gov)
- Released version 1.0 
